/*
 * Copyright (c) 2014 pci-suntektech Technologies, Inc.  All Rights Reserved.
 * pci-suntektech Technologies Proprietary and Confidential.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */
 
package com.suntek.mway.rcs.client.api.plugin.callback;

import com.suntek.mway.rcs.client.api.plugin.entity.profile.Avatar;
import com.suntek.mway.rcs.client.api.plugin.entity.profile.Profile;
import com.suntek.mway.rcs.client.api.plugin.entity.profile.QRCardImg;
import com.suntek.mway.rcs.client.api.plugin.entity.profile.QRCardInfo;

interface IProfileListener
{
    void onProfileUpdated( int resultCode, String resultDesc );
    
    void onAvatarUpdated( int resultCode, String resultDesc );
    
    void onAvatarGet( in Avatar avatar, int resultCode, String resultDesc );
    
    void onProfileGet( in Profile profile, int resultCode, String resultDesc );
    
    void onQRImgGet( in QRCardImg qrImgObj, int resultCode, String resultDesc );
    
    void onQRImgDecode( in QRCardInfo qrCardInfo, int resultCode, String resultDesc );
}
